ChangeSet 1.1166, 2003/04/29 15:05:50-07:00, greg@kroah.com

[PATCH] USB: fix CHECKER found bug in the empeg.c driver


diff -Nru a/drivers/usb/serial/empeg.c b/drivers/usb/serial/empeg.c
--- a/drivers/usb/serial/empeg.c	Wed Apr 30 13:34:58 2003
+++ b/drivers/usb/serial/empeg.c	Wed Apr 30 13:34:58 2003
@@ -222,8 +222,6 @@
 
 	dbg("%s - port %d", __FUNCTION__, port->number);
 
-	usb_serial_debug_data (__FILE__, __FUNCTION__, count, buf);
-
 	while (count > 0) {
 
 		/* try to find a free urb in our list of them */
@@ -263,6 +261,8 @@
 		} else {
 			memcpy (urb->transfer_buffer, current_position, transfer_size);
 		}
+
+		usb_serial_debug_data (__FILE__, __FUNCTION__, transfer_size, urb->transfer_buffer);
 
 		/* build up our urb */
 		usb_fill_bulk_urb (
